Package org.eclipse.cdt.core.templateengine.process

## Class ProcessRunner

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.process.ProcessRunner

Direct Known Subclasses:
  `AddFile`, `AddFiles`, `AddLink`, `AddNature`, `Append`, `AppendCreate`, `Copy`, `CreateFolder`, `CreateResourceIdentifier`, `CreateSourceFolder`, `SetEnvironmentVariable`

    public abstract class ProcessRunner
    extends Object

Abstract ProcessRunner class provides the methods to implement for processes.

### Constructor Summary

Constructors
`ProcessRunner()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected boolean` `areArgumentsMatchingRequiredParameters​(ProcessArgument[] args)` Checks the whether the arguments are matching the required parameters.
`String` `getArgumentsMismatchMessage​(ProcessArgument[] args)` Return the String containing the mismatching message if the arguments are not matching the required parameters.
`protected String` `getProcessMessage​(String processId, int code, String msg)` Returns the process message based on the parameters.
`ProcessParameter[]` `getProcessParameters()` Returns the Process Parameters.
`protected ProcessFailureException` `missingArgException​(String processId, String varname)`
`abstract void` `process​(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessRunner

    public ProcessRunner()

### Method Detail

#### getProcessParameters

    public ProcessParameter[] getProcessParameters()

Returns the Process Parameters.

#### missingArgException

    protected ProcessFailureException missingArgException​(String processId,
                                                          String varname)

Since:
  5.6

#### areArgumentsMatchingRequiredParameters

    protected final boolean areArgumentsMatchingRequiredParameters​(ProcessArgument[] args)

Checks the whether the arguments are matching the required parameters.

#### getArgumentsMismatchMessage

    public String getArgumentsMismatchMessage​(ProcessArgument[] args)

Return the String containing the mismatching message if the arguments are not matching the required parameters.

#### getProcessMessage

    protected final String getProcessMessage​(String processId,
                                             int code,
                                             String msg)

Returns the process message based on the parameters.

#### process

    public abstract void process​(TemplateCore template,
                                 ProcessArgument[] args,
                                 String processId,
                                 org.eclipse.core.runtime.IProgressMonitor monitor)
                          throws ProcessFailureException

Parameters:
  `template` -
  `args` -
  `processId` -
Throws:
  `ProcessFailureException`